summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luis Henrique2010-07-06 07:17:26 +0200
committer Erik Hanson2010-07-06 09:33:55 +0200
commit7a07f96f2b6c6af50d0255753ad0d0daf345bc06 (patch)
treebaf9c9480356a23adbbbdebe05343b8f5c5127c6
parentffd55fee8e806f847e2cecda8ebed48762018b4b (diff)
downloadslackbuilds-7a07f96f2b6c6af50d0255753ad0d0daf345bc06.tar.gz
system/gvfs: Added (userspace virtual filesystem)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/gvfs/README7
-rw-r--r--system/gvfs/gvfs.SlackBuild81
-rw-r--r--system/gvfs/gvfs.info10
-rw-r--r--system/gvfs/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/system/gvfs/README b/system/gvfs/README
new file mode 100644
index 0000000000..c551d0c3ef
--- /dev/null
+++ b/system/gvfs/README
@@ -0,0 +1,7 @@
+The gvfs package is a userspace virtual filesystem designed to work
+with the i/o abstractions of GIO.
+
+It is the replacement/successor of gnome-vfs.
+
+Optional dependencies include Avahi, GConf and - for webdav protocol
+backend - libsoup compiled with both libproxy and gnome-keyring support.
diff --git a/system/gvfs/gvfs.SlackBuild b/system/gvfs/gvfs.SlackBuild
new file mode 100644
index 0000000000..e79a41e66d
--- /dev/null
+++ b/system/gvfs/gvfs.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for gvfs
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=gvfs
+VERSION=${VERSION:-1.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL MAINTAINERS NEWS README README.commits \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gvfs/gvfs.info b/system/gvfs/gvfs.info
new file mode 100644
index 0000000000..42ce6d1feb
--- /dev/null
+++ b/system/gvfs/gvfs.info
@@ -0,0 +1,10 @@
+PRGNAM="gvfs"
+VERSION="1.4.3"
+HOMEPAGE="ftp://ftp.gnome.org"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/gvfs/1.4/gvfs-1.4.3.tar.bz2"
+MD5SUM="2624e5e7d45efd6b742e90bfde24cd20"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/system/gvfs/slack-desc b/system/gvfs/slack-desc
new file mode 100644
index 0000000000..632d23483c
--- /dev/null
+++ b/system/gvfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gvfs: gvfs (userspace virtual filesystem)
+gvfs:
+gvfs: gvfs is a userspace virtual filesystem designed to work with the i/o
+gvfs: abstractions of gio (a library availible in glib >= 2.15.1). It
+gvfs: installs several modules that are automatically used by applications
+gvfs: using the APIs of libgio. There is also fuse support that allows
+gvfs: applications not using gio to access the gvfs filesystems.
+gvfs:
+gvfs:
+gvfs:
+gvfs: